Billing
Billing Balance
Get current balance information for the authenticated user. Returns remaining DIEM/USD balances and total DIEM epoch allocation for calculating usage percentage.
GET
/api/v1/billing/balance
balances only reports diem and usd. Bundled credits do not appear as a numeric field. If bundled credits are the source your next request will draw from, consumptionCurrency returns BUNDLED_CREDITS. To see the remaining bundled-credit amount, check venice.ai/settings/api. For how the API chooses between DIEM, bundled credits, and USD, see VVV & DIEM.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Successful response
Current balance information for the authenticated user
Whether the user has sufficient balance to make API requests
Example:
true
The currency that will be used for consumption (DIEM or USD)
Available options:
USD, VCU, DIEM, BUNDLED_CREDITS Example:
"DIEM"
Total DIEM allocation for the current epoch (from staking). Use with balances.diem to calculate usage percentage.
Example:
100